Subject: Re: bug#11541: 24.0.97; Crash when visiting file on OS X 10.7.3

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Jun 2012 09:17:36 +0300

> From: Florian Ebeling <[email-masked]>
> Date: Fri, 1 Jun 2012 07:43:57 +0200
> Cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> > Does the following simple test program crash for you (compile it with
> > the option "-framework Cocoa") ?  If so, I'd suspect font cache
> > corruption or other system-wide problems.
> 
> This program does not crash but outputs a lot of font description objects.

Can you compare the values of the key variables in this test program
with the corresponding variables in ns_findfonts, and see which one(s)
are different?  If the code is equivalent, why does it yield non-empty
objects, while in Emacs you get empty ones?